// Current in a second order L-C-R system 
// 6V supply, L=2 H, C=0.05 F, R=1 ohm
// SCILAB source file: ex2402.sce
// i(s) = V/(Ls^2 + Rs + 1/C)
// Numerator and denominator must both be expressed as
// polynomials of form (as^2 + bs + c) where the 
// coefficients are [c b a] (note the order!)
// Numerator is thus (0 s^2) + (0 s) + V  
// so c = V, b = 0 and a = 0
num = poly([6 0 0], 's', 'coeff');
// Denominator is (2s^2+ 1s + 1/0.05) so c=1/0.05=20, 
// b=1 and a=2 
den = poly([20 1 2], 's', 'coeff');
// Range of time values to plot
t = 0.001: 0.1: 20; // Avoid zero
s = syslin('c', num/den);
gs = csim('impulse', t, s);
clf;
plot2d(t, gs, 5); // Red plot line
xgrid;
xtitle('Current in a second order (L-C-R) system for a 6V supply','t (s)','i (A)');
